/*
 * Copyright 2006 Maskat Project.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maskat.framework.screendef;

public class PopupDef extends ContainerDef {
	private String title;

	private String contenu;

	private String modeContainer;

	private String bSansBtonClose;

	private String suffFond;

	public String getSuffFond() {
		return suffFond;
	}

	public void setSuffFond(String greyBackground) {
		this.suffFond = greyBackground;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
		firePropertyChange("title", null, title);
	}

	public String getBSansBtonClose() {
		return bSansBtonClose;
	}

	public void setBSansBtonClose(String sansBtonClose) {
		bSansBtonClose = sansBtonClose;
	}

	public String getContenu() {
		return contenu;
	}

	public void setContenu(String contenu) {
		this.contenu = contenu;
	}

	public String getModeContainer() {
		return modeContainer;
	}

	public void setModeContainer(String modeContainer) {
		this.modeContainer = modeContainer;
	}

}
